<?php
session_start();

//$ip = $_SERVER['REMOTE_ADDR'];
$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
$ip =  preg_split("/\s*+,+\s*/", $ip);
$ip = $ip[0];

/*
 * MAKE AN INSERT AND FILTER IF REPEAT MESSAGE
 */

$instructions = array(
    'names' => FILTER_SANITIZE_STRING,
    'email' => array('filter' => FILTER_VALIDATE_EMAIL),
    'message' => array('filter' => FILTER_SANITIZE_STRING));

$filtered = filter_input_array(INPUT_POST, $instructions);
//print_r($filtered);

/*if(isset($_POST['g-recaptcha-response'])){
    $captcha=$_POST['g-recaptcha-response'];
}
if(!$captcha){
    echo '<h2>Please check the the captcha form.</h2>';
    exit;
}*/
?>
<!DOCTYPE html>
<!--[if IE 8]>
<html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Contact Us</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap-responsive.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/reset.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-metro.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="assets/plugins/fancybox/source/jquery.fancybox.css">
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="assets/plugins/bxslider/jquery.bxslider.css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <link href="assets/css/themes/orange.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->

<!-- BEGIN BODY -->
<body>
<p><!-- BEGIN STYLE CUSTOMIZER --></p>

<!-- BEGIN HEADER -->
<div class="front-header">
    <div class="container">
        <?php //include ("header.php"); ?>
    </div>
</div>
<!-- END HEADER -->

<!-- BEGIN BREADCRUMBS -->
<div class="row-fluid breadcrumbs">
    <div class="container">
        <div class="span4">
            <h1>Our Contacts</h1>
        </div>
        <div class="span8">
            <ul class="pull-right breadcrumb">
                <li><a href="index.php">Home</a> <span class="divider">/</span></li>
                <li><a href="">Pages</a> <span class="divider">/</span></li>
                <li class="active">Contacts</li>
            </ul>
        </div>
    </div>
</div>
<!-- END BREADCRUMBS -->

<!-- BEGIN GOOGLE MAP -->
<div class="row-fluid">

</div>
<!-- END GOOGLE MAP -->

<!-- BEGIN CONTAINER -->
<div class="container min-hight">
    <div class="row-fluid">

        <div class="span9">
            <?php
            if(isset($_SESSION['sent'])) {
                echo "<h2>Something went wrong. Please call me!</h2>";
            }else {
                $bad_strings = array(
                    "estradiol",
                    "clomipramine",
                    "lamisil",
                    "amlodipine",
                    "atenolol",
                    "bimatoprost",
                    "mg",
                    "codeine",
                    "hydrocodone",
                    "oxycodone",
                    "limovan",
                    "zopiclone",
                    "overdose",
                    "imovane",
                    "prescription",
                    "hydrocodone",
                    "albuterol",
                    "wellbutrin",
                    "mebendazole"
                );

                $mymess = $filtered['message'];
                foreach ($bad_strings as $bad) {
                    if (substr_count(
                            $filtered['message'],
                            $bad
                        ) || $ip == '188.143.232.111' || $ip == '192.99.47.175'
                    ) {

                        die("Mail successful!?!");
                    }

                }



                if ($filtered['names'] == '' || $filtered['message'] == '' || empty($filtered['message'])) {
                    echo "<h2>Contact Unsuccessful</h2>";
                    echo "Please go back and fill in all required fields";
                } else {
                    if ($filtered['email'] == '') {
                        echo "<h2>Contact Unsuccessful</h2>";
                        echo "Please go back and fill in a valid email address.";
                    } else {
                        if ((substr_count($filtered['message'], 'http') || substr_count(
                                    $filtered['message'],
                                    '&lt;a'
                                ) || substr_count($filtered['message'], '<a')) > 0
                        ) {
                            echo "<h2>Contact Unsuccessful</h2>";
                            echo "Please go back and remove links.";
                        } else {


                            $email = $filtered['email'];

                            $email_send_to = "kent@lampload.com";
                            $Subject = "Enquiry From Website";

                            $name = $filtered['names'];

                            $message = $filtered['message'];

                            $body = "";
                            $body .= "name: ";
                            $body .= $name;
                            $body .= "\n";
                            $body .= "message: ";
                            $body .= $message;
                            $body .= "\n";
                            $body .= $ip;
                            $body .= "\n";

// send email 
                            $mail_send = mail($email_send_to, $Subject, $body, "From: <$email>");

                            ?>
                            <h2>Contact Successful</h2>
                            <p>We will reply as soon as possible.</p>

                        <?php }
                    }
                }
            }?>
            <div class="space20"></div>
        </div>

        <div class="span3">
            <h2>Our Contacts</h2>
           
            <address>
                <strong>My Studio</strong><br>
                My Rd<br>
                Squamish, BC V0N 1T0<br>
                <abbr title="Phone">P:</abbr> (555) 555-5555
            </address>
           


            <div class="clearfix margin-bottom-10"></div>

            <h2>About</h2>

            <p>Practical Web Design and Development For Everyone! </p>
            <ul class="unstyled">
                <li><i class="icon-ok"></i> Learn Web Design Online</li>
                <li><i class="icon-ok"></i> Custom Web Development</li>
                <li><i class="icon-ok"></i> Affordable Services</li>
            </ul>
        </div>
    </div>
</div>
<!-- END CONTAINER -->

<!-- BEGIN FOOTER -->
<?php //include("footer.php");

if(isset($_SESSION['sent'])){
    //header("Location: contact.php");
}else {
    $_SESSION['sent'] = true;
}?>
</body>
<!-- END BODY -->

</html>
